Page MenuHomePhabricator

decommission lithium
Closed, ResolvedPublicRequest

Description

This task will track the decommission-hardware of server lithium.

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system)
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Decommissioning
  • - disable switch port
  • - switch port assignment noted on this task (for later removal) - asw2-c-eqiad:ge-7/0/34
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

[x - IF RECLAIM: system added back to spares tracking (by onsite)

Event Timeline

Change 526980 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] site: lithium to spare

https://gerrit.wikimedia.org/r/526980

Change 526980 merged by Filippo Giunchedi:
[operations/puppet@production] site: lithium to spare

https://gerrit.wikimedia.org/r/526980

fgiunchedi reassigned this task from fgiunchedi to RobH.Aug 1 2019, 12:51 PM

Host is role::spare and not in service, can be decom'd, moving to @RobH

Using task for test the new decom script

cookbooks.sre.hosts.decommission executed by jmm@cumin1001 for hosts: lithium.eqiad.wmnet

  • lithium.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 538040 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Decom lithium

https://gerrit.wikimedia.org/r/538040

Change 538040 merged by Muehlenhoff:
[operations/puppet@production] Decom lithium

https://gerrit.wikimedia.org/r/538040

Change 538041 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/dns@master] Remove DNS entries for lithium

https://gerrit.wikimedia.org/r/538041

Change 538041 merged by Muehlenhoff:
[operations/dns@master] Remove DNS entries for lithium

https://gerrit.wikimedia.org/r/538041

MoritzMuehlenhoff updated the task description. (Show Details)

Back to Rob for switch port removal steps.

RobH reassigned this task from RobH to Cmjohnson.Sep 19 2019, 3:41 PM
RobH updated the task description. (Show Details)
RobH moved this task from Backlog to pending onsite steps (eqiad) on the decommission-hardware board.
RobH added a project: ops-eqiad.

ready for disk wipe and unracking

Restricted Application added a project: Operations. · View Herald TranscriptSep 19 2019, 3:43 PM
RobH moved this task from Backlog to Decommission on the ops-eqiad board.Sep 19 2019, 3:43 PM
Cmjohnson reassigned this task from Cmjohnson to Jclark-ctr.Sep 19 2019, 6:08 PM
Cmjohnson added a subscriber: Cmjohnson.

@Jclark-ctr please wipe, remove, update tracking and netbox.

Jclark-ctr closed this task as Resolved.Oct 1 2019, 9:09 PM
Jclark-ctr reassigned this task from Jclark-ctr to Cmjohnson.
Jclark-ctr updated the task description. (Show Details)
Jclark-ctr added a subscriber: Jclark-ctr.

Host wiped, netbox updated status set offline removed from rack, and added to hardware tracking sheet

Papaul added a subscriber: Papaul.Oct 8 2019, 3:28 AM
papaul@asw2-c-eqiad# show | compare 
[edit interfaces]
-   ge-7/0/34 {
-       description lithium;
-   }
Papaul updated the task description. (Show Details)Oct 8 2019, 3:28 AM

Change 541928 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for rhenium and lithium

https://gerrit.wikimedia.org/r/541928

RobH removed a subscriber: RobH.Oct 9 2019, 9:32 PM
Papaul updated the task description. (Show Details)Oct 9 2019, 9:39 PM
Papaul added a subscriber: RobH.

Change 541928 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for rhenium and lithium

https://gerrit.wikimedia.org/r/541928